CacheEntry (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi.entry
Class CacheEntry

    java.lang.Object
      org.hibernate.cache.spi.entry.CacheEntry

All Implemented Interfaces:
  Serializable

    public final class CacheEntry

extends Object
implements Serializable

A cached instance of a persistent class

See Also:
  Serialized Form

Constructor Summary
`CacheEntry(Object[] state, EntityPersister persister, boolean unfetched, Object version, SessionImplementor session, Object owner)`

Method Summary
`boolean` | `areLazyPropertiesUnfetched()`
`Object[]` | `assemble(Object instance, Serializable id, EntityPersister persister, Interceptor interceptor, EventSource session)`
`Serializable[]` | `getDisassembledState()`
`String` | `getSubclass()`
`Object` | `getVersion()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheEntry

    public CacheEntry(Object[] state,
                      EntityPersister persister,
                      boolean unfetched,
                      Object version,
                      SessionImplementor session,
                      Object owner)
               throws HibernateException

Throws:
  `HibernateException`

Method Detail

### getSubclass

    public String getSubclass()

### areLazyPropertiesUnfetched

    public boolean areLazyPropertiesUnfetched()

### getVersion

    public Object getVersion()

### assemble

    public Object[] assemble(Object instance,
                             Serializable id,
                             EntityPersister persister,
                             Interceptor interceptor,
                             EventSource session)
                      throws HibernateException

  Throws:
    `HibernateException`

### getDisassembledState

    public Serializable[] getDisassembledState()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.